Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::Participant Class Reference

Identifies a member of a Conference or ChatRoom. More...

`#include <participant.hh>`

Inheritance diagram for linphone::Participant:

## Public Member Functions
LINPHONECXX_PUBLIC | Participant (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipant * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Get the address of a conference participant.
LINPHONECXX_PUBLIC time_t | getCreationTime () const
| Get the timestamp of the creation of the participant.
LINPHONECXX_PUBLIC std::list< std::shared_ptr< linphone::ParticipantDevice > > | getDevices () const
| Gets the list of devices from a chat room's participant.
LINPHONECXX_PUBLIC bool | isAdmin () const
| Tells whether a conference participant is an administrator of the conference.
LINPHONECXX_PUBLIC bool | isFocus () const
| Tells whether a conference participant is the focus of the conference.
LINPHONECXX_PUBLIC linphone::ChatRoomSecurityLevel | getSecurityLevel () const
| Get the security level of a participant.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantDevice > | findDevice (const std::shared_ptr< const linphone::Call > &call) const
| Find a device in the list of devices from a chat room's participant.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantDevice > | findDevice (const std::shared_ptr< const linphone::Address > &address) const
| Find a device in the list of devices from a chat room's participant.

## Detailed Description

Identifies a member of a Conference or ChatRoom.

A participant is identified by it's SIP address. It can have many ParticipantDevice.

## Member Function Documentation

## ◆ findDevice() [1/2]

LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantDevice > linphone::Participant::findDevice | ( | const std::shared_ptr< const linphone::Address > & | address | ) | const

Find a device in the list of devices from a chat room's participant.

Parameters

  address | A Address object

Returns
  a ParticipantDevice or nullptr if not found.

## ◆ findDevice() [2/2]

LINPHONECXX_PUBLIC std::shared_ptr< linphone::ParticipantDevice > linphone::Participant::findDevice | ( | const std::shared_ptr< const linphone::Call > & | call | ) | const

Find a device in the list of devices from a chat room's participant.

Parameters

  call | A Call object

Returns
  a ParticipantDevice or nullptr if not found.

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::Participant::getAddress | ( |  | ) | const

Get the address of a conference participant.

Returns
  The Address of the participant

## ◆ getCreationTime()

LINPHONECXX_PUBLIC time_t linphone::Participant::getCreationTime | ( |  | ) | const

Get the timestamp of the creation of the participant.

Returns
  time of creation of the participant as returned by time(nullptr). For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## ◆ getDevices()

LINPHONECXX_PUBLIC std::list< std::shared_ptr< linphone::ParticipantDevice > > linphone::Participant::getDevices | ( |  | ) | const

Gets the list of devices from a chat room's participant.

Returns
  List of devices.

## ◆ getSecurityLevel()

LINPHONECXX_PUBLIC linphone::ChatRoomSecurityLevel linphone::Participant::getSecurityLevel | ( |  | ) | const

Get the security level of a participant.

Returns
  The ChatRoomSecurityLevel of the participant

## ◆ isAdmin()

LINPHONECXX_PUBLIC bool linphone::Participant::isAdmin | ( |  | ) | const

Tells whether a conference participant is an administrator of the conference.

Returns
  A boolean value telling whether the participant is an administrator

## ◆ isFocus()

LINPHONECXX_PUBLIC bool linphone::Participant::isFocus | ( |  | ) | const

Tells whether a conference participant is the focus of the conference.

Returns
  A boolean value telling whether the participant is a focus of a conference

The documentation for this class was generated from the following file:

- participant.hh